cURL
curl --request POST \ --url https://api.veryfront.com/projects/{project_reference}/style-artifacts/current/builds \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "style_profile_hash": "<string>", "branch": "<string>", "environment_name": "<string>", "release_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "force": false } '
{ "status": "ready", "artifact_hash": "<string>", "asset_path": "<string>", "etag": "<string>", "content_type": "<string>", "build_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "failure_reason": "<string>", "updated_at": "<string>" }
Ensure there is a background build in progress for the current style artifact selector and profile.
Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.
Project ID or slug
1
Current style artifact build state
ready
missing
building
failed